# syd's rustfmt configuration
# please use cargo +nightly fmt if/when you can.

# stable
max_width = 100
use_field_init_shorthand = true
use_try_shorthand = true

# nightly
comment_width = 120
error_on_line_overflow = false
format_code_in_doc_comments = true
format_macro_bodies = true
format_macro_matchers = true
format_strings = false
group_imports = "StdExternalCrate"
imports_granularity = "Crate"
normalize_doc_attributes = true
wrap_comments = false
